#ifndef BOUNDING_VOLUME_H
#define BOUNDING_VOLUME_H


#include <vector>
#include <list>
#include <string>
#include <vector3D.h>

class BoundingSphere
{
  private:
    Vector3D _center;
    double _radius;


  public:
     Vector3D center() { return _center; }
     float radius() { return _radius; }

     BoundingSphere();
     BoundingSphere(const BoundingSphere &s);
     BoundingSphere(const Vector3D &center);   // Point-Sphere
     BoundingSphere(const Vector3D &center, float radius);   // Center and radius (not squared)
     BoundingSphere(const Vector3D &p1, const Vector3D &p2);   // Sphere through two points
     BoundingSphere(const Vector3D &p1, const Vector3D &p2, const Vector3D &p3);   // Sphere through three points
     BoundingSphere(const Vector3D &p1, const Vector3D &p2, const Vector3D &p3, const Vector3D &p4);   // Sphere through four points

};


#endif
