#ifndef COLDMANINTERFACEC_H
#define COLDMANINTERFACEC_H

extern "C" {
extern void coldmanDisplayInit();
extern int coldmanCheckCollision() ;
extern int coldmanPredictCollision(double time) ;
extern void coldmanDisplayMainLoopEvent();
extern void coldmanDisplayRefresh();
extern int coldmanEnvInit( char* path, char* file);
extern int coldmanDisplayOn();
extern int coldmanDisplayOff();
extern int coldmanSetText(char *str, int x, int y);
extern int coldmanSetRobotQi(int dof, double value, double vel, double acc);
extern int coldmanDisableObstacleCollision(char *obstacle_name);
extern int coldmanEnableObstacleCollision(char *obstacle_name);
extern int coldmanDisableObstacleDisplay(char *obstacle_name);
extern int coldmanEnableObstacleDisplay(char *obstacle_name);
extern int coldmanSetObstaclePosition(char *obstacle_name, double x, double y, double z);
extern int coldmanSetObstacleOrientation(char *obstacle_name, double yaw, double pitch, double roll); 
extern int coldmanSetObstaclePose(char *obstacle_name,double x, double y, double z, double yaw, double pitch, double roll);
extern int coldmanListAllObstacles();
extern int coldmanChangeCameraAzimuth(double angle);
extern int coldmanChangeCameraElevation(double angle);
extern int coldmanCameraZoom(double distance);
extern int coldmanDisableShadows();
extern int coldmanEnableShadows();
extern int coldmanListCollidingBodies();
extern int coldmanResizeWindow(int w, int h);
extern int coldmanPositionWindow(int x, int y);
extern int coldmanLoadPointCloud(const char *filename);
extern int coldmanRemoveScannedObstacles();
}

#endif
