#ifndef GRAPHICS_H
#define GRAPHICS_H
#if defined(ENABLE_DISPLAY)
#include <vector3D.h>

void drawTesselatedRectangle(float bottomLeftCornerX, float bottomLeftCornerY, float z, float dimX, float dimY, float delta);

void drawAAbox(double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);

int drawTiledFloor(float dx, float dy, float xmin, float xmax, float ymin, float ymax, float zmin, float zmax);

void buildShadowMatrix(float lightPos[4], float plane[4],  float matrix[16]);

void setOrthographicProjection(int width, int height);

void setPerspectiveProjection(float fov, int width, int height);

void drawFrame(HTMatrix &pose, float length);

int drawCylinder(Vector3D p1, Vector3D p2, float radius);

int drawCube(Vector3D center, float edge_length);

int exportGLdisplay(std::string filename);
#endif

#endif
